#ifndef __ADC_H
#define __ADC_H

#include "at32f403a_407.h"


#define ADC_TOTAL_COUNT             3
#define ADC_CONVERSION_PERIOD_MS    100  // Период преобразования АЦП в мс
#define VREF                        3000L 
#define VREF_VOLT                   3.0



typedef enum
{
    U_BAT = 0,
    PWR_MEAS,
    INT_TEMPER,
    
} adc_chan_t;


//
uint16_t adc_mv_raw(adc_chan_t chan);

//
uint16_t adc_mv(adc_chan_t chan);

//
void adc_init(void);

//
void adc_init_base(void);

//
void adc_gpio_init(void);

//
void adc_timer_init(void);

//
void adc_tim_set(confirm_state state);

//
void adc_dma_init(void);




#endif /* __ADC_H */
